# Uses of Class
javax.swing.ProgressMonitor

Packages that use ProgressMonitor
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of ProgressMonitor in javax.swing

Methods in javax.swing that return ProgressMonitor
Modifier and Type
Method
Description
`ProgressMonitor`
ProgressMonitorInputStream.`getProgressMonitor()`
Get the ProgressMonitor object being used by this stream.